WPXPageSpan Class Reference documentation

WPXPageSpan Class Reference

`#include <WPXPageSpan.h>`

## Public Member Functions
| WPXPageSpan ()
| WPXPageSpan (const WPXPageSpan &page, double paragraphMarginLeft, double paragraphMarginRight)
virtual | ~WPXPageSpan ()
bool | getPageNumberSuppression () const
bool | getHeaderFooterSuppression (const unsigned char headerFooterType) const
double | getFormLength () const
double | getFormWidth () const
WPXFormOrientation | getFormOrientation () const
double | getMarginLeft () const
double | getMarginRight () const
double | getMarginTop () const
double | getMarginBottom () const
WPXPageNumberPosition | getPageNumberPosition () const
bool | getPageNumberOverriden () const
int | getPageNumberOverride () const
WPXNumberingType | getPageNumberingType () const
double | getPageNumberingFontSize () const
librevenge::RVNGString | getPageNumberingFontName () const
int | getPageSpan () const
const std::vector< WPXHeaderFooter > & | getHeaderFooterList () const
void | setHeaderFooter (const WPXHeaderFooterType type, const unsigned char headerFooterType, const WPXHeaderFooterOccurrence occurrence, const std::shared_ptr< WPXSubDocument > &subDocument, WPXTableList tableList)
void | setPageNumberSuppression (const bool suppress)
void | setHeadFooterSuppression (const unsigned char headerFooterType, const bool suppress)
void | setFormLength (const double formLength)
void | setFormWidth (const double formWidth)
void | setFormOrientation (const WPXFormOrientation formOrientation)
void | setMarginLeft (const double marginLeft)
void | setMarginRight (const double marginRight)
void | setMarginTop (const double marginTop)
void | setMarginBottom (const double marginBottom)
void | setPageNumberPosition (const WPXPageNumberPosition pageNumberPosition)
void | setPageNumber (const int pageNumberOverride)
void | setPageNumberingType (const WPXNumberingType pageNumberingType)
void | setPageNumberingFontSize (const double pageNumberingFontSize)
void | setPageNumberingFontName (const librevenge::RVNGString &pageNumberingFontName)
void | setPageSpan (const int pageSpan)

## Protected Member Functions
void | _removeHeaderFooter (WPXHeaderFooterType type, WPXHeaderFooterOccurrence occurrence)
bool | _containsHeaderFooter (WPXHeaderFooterType type, WPXHeaderFooterOccurrence occurrence)

## Private Attributes
bool | m_isHeaderFooterSuppressed [WPX_NUM_HEADER_FOOTER_TYPES]
bool | m_isPageNumberSuppressed
double | m_formLength
double | m_formWidth
WPXFormOrientation | m_formOrientation
double | m_marginLeft
double | m_marginRight
double | m_marginTop
double | m_marginBottom
WPXPageNumberPosition | m_pageNumberPosition
bool | m_isPageNumberOverridden
int | m_pageNumberOverride
WPXNumberingType | m_pageNumberingType
librevenge::RVNGString | m_pageNumberingFontName
double | m_pageNumberingFontSize
std::vector< WPXHeaderFooter > | m_headerFooterList
int | m_pageSpan

## Constructor & Destructor Documentation

## ◆ WPXPageSpan() [1/2]

WPXPageSpan::WPXPageSpan | ( |  | ) |

Referenced by WPXPageSpan().

## ◆ WPXPageSpan() [2/2]

WPXPageSpan::WPXPageSpan | ( | const WPXPageSpan & | page,
|  | double | paragraphMarginLeft,
|  | double | paragraphMarginRight )

## ◆ ~WPXPageSpan()

WPXPageSpan::~WPXPageSpan | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _containsHeaderFooter()

bool WPXPageSpan::_containsHeaderFooter | ( | WPXHeaderFooterType | type,
|  | WPXHeaderFooterOccurrence | occurrence )
| protected

Referenced by setHeaderFooter().

## ◆ _removeHeaderFooter()

void WPXPageSpan::_removeHeaderFooter | ( | WPXHeaderFooterType | type,
|  | WPXHeaderFooterOccurrence | occurrence )
| protected

Referenced by setHeaderFooter().

## ◆ getFormLength()

double WPXPageSpan::getFormLength | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), and WPXPageSpan().

## ◆ getFormOrientation()

WPXFormOrientation WPXPageSpan::getFormOrientation | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), and WPXPageSpan().

## ◆ getFormWidth()

double WPXPageSpan::getFormWidth | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), and WPXPageSpan().

## ◆ getHeaderFooterList()

const std::vector< WPXHeaderFooter > & WPXPageSpan::getHeaderFooterList | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), operator==(), and WPXPageSpan().

## ◆ getHeaderFooterSuppression()

bool WPXPageSpan::getHeaderFooterSuppression | ( | const unsigned char | headerFooterType | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), and operator==().

## ◆ getMarginBottom()

double WPXPageSpan::getMarginBottom | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), operator==(), and WPXPageSpan().

## ◆ getMarginLeft()

double WPXPageSpan::getMarginLeft | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), operator==(), and WPXPageSpan().

## ◆ getMarginRight()

double WPXPageSpan::getMarginRight | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), operator==(), and WPXPageSpan().

## ◆ getMarginTop()

double WPXPageSpan::getMarginTop | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), operator==(), and WPXPageSpan().

## ◆ getPageNumberingFontName()

librevenge::RVNGString WPXPageSpan::getPageNumberingFontName | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), operator==(), and WPXPageSpan().

## ◆ getPageNumberingFontSize()

double WPXPageSpan::getPageNumberingFontSize | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), operator==(), and WPXPageSpan().

## ◆ getPageNumberingType()

WPXNumberingType WPXPageSpan::getPageNumberingType | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), operator==(), and WPXPageSpan().

## ◆ getPageNumberOverride()

int WPXPageSpan::getPageNumberOverride | ( |  | ) | const
| inline

Referenced by WPXContentListener::_appendParagraphProperties(), and operator==().

## ◆ getPageNumberOverriden()

bool WPXPageSpan::getPageNumberOverriden | ( |  | ) | const
| inline

Referenced by WPXContentListener::_appendParagraphProperties(), and operator==().

## ◆ getPageNumberPosition()

WPXPageNumberPosition WPXPageSpan::getPageNumberPosition | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), operator==(), and WPXPageSpan().

## ◆ getPageNumberSuppression()

bool WPXPageSpan::getPageNumberSuppression | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), and operator==().

## ◆ getPageSpan()

int WPXPageSpan::getPageSpan | ( |  | ) | const
| inline

Referenced by WPXContentListener::_openPageSpan(), and WPXPageSpan().

## ◆ setFormLength()

void WPXPageSpan::setFormLength | ( | const double | formLength | ) |
| inline

## ◆ setFormOrientation()

void WPXPageSpan::setFormOrientation | ( | const WPXFormOrientation | formOrientation | ) |
| inline

## ◆ setFormWidth()

void WPXPageSpan::setFormWidth | ( | const double | formWidth | ) |
| inline

## ◆ setHeaderFooter()

void WPXPageSpan::setHeaderFooter | ( | const WPXHeaderFooterType | type,
|  | const unsigned char | headerFooterType,
|  | const WPXHeaderFooterOccurrence | occurrence,
|  | const std::shared_ptr< WPXSubDocument > & | subDocument,
|  | WPXTableList | tableList )

## ◆ setHeadFooterSuppression()

void WPXPageSpan::setHeadFooterSuppression | ( | const unsigned char | headerFooterType,
|  | const bool | suppress )
| inline

## ◆ setMarginBottom()

void WPXPageSpan::setMarginBottom | ( | const double | marginBottom | ) |
| inline

## ◆ setMarginLeft()

void WPXPageSpan::setMarginLeft | ( | const double | marginLeft | ) |
| inline

## ◆ setMarginRight()

void WPXPageSpan::setMarginRight | ( | const double | marginRight | ) |
| inline

## ◆ setMarginTop()

void WPXPageSpan::setMarginTop | ( | const double | marginTop | ) |
| inline

## ◆ setPageNumber()

void WPXPageSpan::setPageNumber | ( | const int | pageNumberOverride | ) |
| inline

## ◆ setPageNumberingFontName()

void WPXPageSpan::setPageNumberingFontName | ( | const librevenge::RVNGString & | pageNumberingFontName | ) |
| inline

## ◆ setPageNumberingFontSize()

void WPXPageSpan::setPageNumberingFontSize | ( | const double | pageNumberingFontSize | ) |
| inline

## ◆ setPageNumberingType()

void WPXPageSpan::setPageNumberingType | ( | const WPXNumberingType | pageNumberingType | ) |
| inline

## ◆ setPageNumberPosition()

void WPXPageSpan::setPageNumberPosition | ( | const WPXPageNumberPosition | pageNumberPosition | ) |
| inline

## ◆ setPageNumberSuppression()

void WPXPageSpan::setPageNumberSuppression | ( | const bool | suppress | ) |
| inline

## ◆ setPageSpan()

void WPXPageSpan::setPageSpan | ( | const int | pageSpan | ) |
| inline

## Member Data Documentation

## ◆ m_formLength

double WPXPageSpan::m_formLength
| private

Referenced by getFormLength(), setFormLength(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_formOrientation

WPXFormOrientation WPXPageSpan::m_formOrientation
| private

Referenced by getFormOrientation(), setFormOrientation(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_formWidth

double WPXPageSpan::m_formWidth
| private

Referenced by getFormWidth(), setFormWidth(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_headerFooterList

std::vector<WPXHeaderFooter> WPXPageSpan::m_headerFooterList
| private

Referenced by _containsHeaderFooter(), _removeHeaderFooter(), getHeaderFooterList(), setHeaderFooter(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_isHeaderFooterSuppressed

bool WPXPageSpan::m_isHeaderFooterSuppressed[WPX_NUM_HEADER_FOOTER_TYPES]
| private

Referenced by getHeaderFooterSuppression(), setHeadFooterSuppression(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_isPageNumberOverridden

bool WPXPageSpan::m_isPageNumberOverridden
| private

Referenced by getPageNumberOverriden(), setPageNumber(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_isPageNumberSuppressed

bool WPXPageSpan::m_isPageNumberSuppressed
| private

Referenced by getPageNumberSuppression(), setPageNumberSuppression(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_marginBottom

double WPXPageSpan::m_marginBottom
| private

Referenced by getMarginBottom(), setMarginBottom(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_marginLeft

double WPXPageSpan::m_marginLeft
| private

Referenced by getMarginLeft(), setMarginLeft(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_marginRight

double WPXPageSpan::m_marginRight
| private

Referenced by getMarginRight(), setMarginRight(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_marginTop

double WPXPageSpan::m_marginTop
| private

Referenced by getMarginTop(), setMarginTop(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_pageNumberingFontName

librevenge::RVNGString WPXPageSpan::m_pageNumberingFontName
| private

Referenced by getPageNumberingFontName(), setPageNumberingFontName(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_pageNumberingFontSize

double WPXPageSpan::m_pageNumberingFontSize
| private

Referenced by getPageNumberingFontSize(), setPageNumberingFontSize(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_pageNumberingType

WPXNumberingType WPXPageSpan::m_pageNumberingType
| private

Referenced by getPageNumberingType(), setPageNumberingType(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_pageNumberOverride

int WPXPageSpan::m_pageNumberOverride
| private

Referenced by getPageNumberOverride(), setPageNumber(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_pageNumberPosition

WPXPageNumberPosition WPXPageSpan::m_pageNumberPosition
| private

Referenced by getPageNumberPosition(), setPageNumberPosition(), WPXPageSpan(), and WPXPageSpan().

## ◆ m_pageSpan

int WPXPageSpan::m_pageSpan
| private

Referenced by getPageSpan(), setPageSpan(), WPXPageSpan(), and WPXPageSpan().

The documentation for this class was generated from the following files:

- WPXPageSpan.h
- WPXPageSpan.cpp